igeo

## Class ICylinder

- java.lang.Object
- - igeo.IObject
  - - igeo.IGeometry
    - - igeo.ISurface
      - - igeo.ICylinder

- All Implemented Interfaces:
    IParameter, ISurfaceI, ISurfaceOp, ITransformable, IVal

      public class ICylinder
      extends ISurface

  Cylinder surface class
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IVecI` | `pt1`
    `IVecI` | `pt2`
    `IDoubleI` | `radius1`
    `IDoubleI` | `radius2`

    - ### Fields inherited from class igeo.ISurface

      `surface`

    - ### Fields inherited from class igeo.IObject

      `attribute, dynamics, graphics, parameter, server, userData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ICylinder(IServerI s, IVecI pt1, IVecI pt2, double radius)`
    `ICylinder(IServerI s, IVecI pt1, IVecI pt2, double radius1, double radius2)`
    `ICylinder(IServerI s, IVecI pt1, IVecI pt2, IDoubleI radius)`
    `ICylinder(IServerI s, IVecI pt1, IVecI pt2, IDoubleI radius1, IDoubleI radius2)`
    `ICylinder(IVecI pt1, IVecI pt2, double radius)`
    `ICylinder(IVecI pt1, IVecI pt2, double radius1, double radius2)`
    `ICylinder(IVecI pt1, IVecI pt2, IDoubleI radius)`
    `ICylinder(IVecI pt1, IVecI pt2, IDoubleI radius1, IDoubleI radius2)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ICylinder` | `attr(IAttribute at)` set attributes
    `ICylinder` | `clr(java.awt.Color c)`
    `ICylinder` | `clr(java.awt.Color c, int alpha)`
    `ICylinder` | `clr(double dgray)`
    `ICylinder` | `clr(double dgray, double dalpha)`
    `ICylinder` | `clr(double dr, double dg, double db)`
    `ICylinder` | `clr(double dr, double dg, double db, double da)`
    `ICylinder` | `clr(float fgray)`
    `ICylinder` | `clr(float fgray, float falpha)`
    `ICylinder` | `clr(float fr, float fg, float fb)`
    `ICylinder` | `clr(float fr, float fg, float fb, float fa)`
    `ICylinder` | `clr(IColor c)` to set an object color
    `ICylinder` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
    `ICylinder` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
    `ICylinder` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
    `ICylinder` | `clr(int gray)`
    `ICylinder` | `clr(int gray, int alpha)`
    `ICylinder` | `clr(int r, int g, int b)`
    `ICylinder` | `clr(int r, int g, int b, int a)`
    `ICylinder` | `clr(IObject o)` to set the same color with the object
    `ICylinder` | `hide()`
    `ICylinder` | `hsb(double h, double s, double b)`
    `ICylinder` | `hsb(double h, double s, double b, double a)`
    `ICylinder` | `hsb(float h, float s, float b)`
    `ICylinder` | `hsb(float h, float s, float b, float a)`
    `void` | `initCylinder(IServerI s)`
    `ICylinder` | `layer(ILayer l)` Set layer by ILayer object
    `ICylinder` | `layer(java.lang.String l)` Set layer by layer name.
    `ICylinder` | `name(java.lang.String nm)` IObject methods
    `ICylinder` | `setColor(java.awt.Color c)`
    `ICylinder` | `setColor(java.awt.Color c, int alpha)`
    `ICylinder` | `setColor(double dgray)`
    `ICylinder` | `setColor(double dgray, double dalpha)`
    `ICylinder` | `setColor(double dr, double dg, double db)`
    `ICylinder` | `setColor(double dr, double dg, double db, double da)`
    `ICylinder` | `setColor(float fgray)`
    `ICylinder` | `setColor(float fgray, float falpha)`
    `ICylinder` | `setColor(float fr, float fg, float fb)`
    `ICylinder` | `setColor(float fr, float fg, float fb, float fa)`
    `ICylinder` | `setColor(int gray)`
    `ICylinder` | `setColor(int gray, int alpha)`
    `ICylinder` | `setColor(int r, int g, int b)`
    `ICylinder` | `setColor(int r, int g, int b, int a)`
    `ICylinder` | `setHSBColor(double h, double s, double b)`
    `ICylinder` | `setHSBColor(double h, double s, double b, double a)`
    `ICylinder` | `setHSBColor(float h, float s, float b)`
    `ICylinder` | `setHSBColor(float h, float s, float b, float a)`
    `ICylinder` | `show()`
    `ICylinder` | `weight(double w)`
    `ICylinder` | `weight(float w)`

    - ### Methods inherited from class igeo.ISurface

      `add, add, add, add, add, add, add, addInnerTrimLoop, addInnerTrimLoop, addInnerTrimLoop, addInnerTrimLoop, addInnerTrimLoop, addInnerTrimLoop, addOuterTrimLoop, addOuterTrimLoop, addOuterTrimLoop, addOuterTrimLoop, addOuterTrimLoop, addOuterTrimLoop, addUCP, addVCP, center, clearInnerTrim, clearOuterTrim, clearTrim, closePt, closePt, clr, clr, corner, corner, cornerCP, cornerCP, cp, cp, cp, cp, cp, cp, cps, createGraphic, dist, dist, div, div, dup, ep, ep, flip, flipN, flipU, flipUV, flipV, get, hasDefaultTrim, hasDefaultTrim, hasDefaultTrim, hasInnerTrim, hasInnerTrim, hasInnerTrim, hasOuterTrim, hasOuterTrim, hasOuterTrim, hasTrim, hasTrim, hasTrim, initSurface, innerTrim, innerTrim, innerTrimLoop, innerTrimLoop, innerTrimLoopNum, innerTrimLoopNum, innerTrimLoopNum, innerTrimNum, innerTrimNum, isFlat, isFlat, isFlat, isInsideTrim, isInsideTrim, isInsideTrim, isRational, isRational, isRational, isUClosed, isUClosed, isUClosed, isValid, isVClosed, isVClosed, isVClosed, mid, mirror, mirror, mul, mul, mv, mv, mv, neg, nml, nml, nml, normal, normal, normal, nrml, nrml, nrml, outerTrim, outerTrim, outerTrimLoop, outerTrimLoop, outerTrimLoopNum, outerTrimLoopNum, outerTrimLoopNum, outerTrimNum, outerTrimNum, pt, pt, pt, pt, pt, pt, ref, ref, revN, revU, revUV, revV, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, setColor, setColor, setColor, setColor, setColor, setColor, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, sub, sub, sub, swapUV, transform, transform, transform, transform, translate, translate, translate, u, u, ucpNum, ucpNum, ucpNum, udeg, udeg, udeg, uend, uend, uend, uepNum, uepNum, uepNum, uknot, uknot, uknotNum, uknotNum, uknotNum, uknots, uknots, uknots, unum, unum, unum, ustart, ustart, ustart, utan, utan, utan, uv, uv, v, v, vcpNum, vcpNum, vcpNum, vdeg, vdeg, vdeg, vend, vend, vend, vepNum, vepNum, vepNum, vknot, vknot, vknotNum, vknotNum, vknotNum, vknots, vknots, vknots, vnum, vnum, vnum, vstart, vstart, vstart, vtan, vtan, vtan`

    - ### Methods inherited from class igeo.IObject

      `addDynamics, addUserData, addUserData, alpha, alphaInt, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, defaultAttribute, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getAWTColor, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isVisible, layer, name, red, redInt, resetGraphic, saturation, server, setParameter, setTexture, syncColor, syncGraphic, syncVisibility, syncWeight, texture, updateGraphic, userData, userData, userData, userDataNum, visible, weight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pt1

          public IVecI pt1

    - #### pt2

          public IVecI pt2

    - #### radius1

          public IDoubleI radius1

    - #### radius2

          public IDoubleI radius2

  - ### Constructor Detail

    - #### ICylinder

          public ICylinder(IVecI pt1,
                           IVecI pt2,
                           double radius)

    - #### ICylinder

          public ICylinder(IServerI s,
                           IVecI pt1,
                           IVecI pt2,
                           double radius)

    - #### ICylinder

          public ICylinder(IVecI pt1,
                           IVecI pt2,
                           double radius1,
                           double radius2)

    - #### ICylinder

          public ICylinder(IVecI pt1,
                           IVecI pt2,
                           IDoubleI radius)

    - #### ICylinder

          public ICylinder(IServerI s,
                           IVecI pt1,
                           IVecI pt2,
                           IDoubleI radius)

    - #### ICylinder

          public ICylinder(IServerI s,
                           IVecI pt1,
                           IVecI pt2,
                           double radius1,
                           double radius2)

    - #### ICylinder

          public ICylinder(IVecI pt1,
                           IVecI pt2,
                           IDoubleI radius1,
                           IDoubleI radius2)

    - #### ICylinder

          public ICylinder(IServerI s,
                           IVecI pt1,
                           IVecI pt2,
                           IDoubleI radius1,
                           IDoubleI radius2)

  - ### Method Detail

    - #### initCylinder

          public void initCylinder(IServerI s)

    - #### name

          public ICylinder name(java.lang.String nm)

      IObject methods
      Overrides:
        `name` in class `ISurface`

    - #### layer

          public ICylinder layer(ILayer l)

      Description copied from class: `IGeometry`
      Set layer by ILayer object
      Overrides:
        `layer` in class `ISurface`

    - #### layer

          public ICylinder layer(java.lang.String l)

      Description copied from class: `IGeometry`
      Set layer by layer name. If the layer specified by the name is not existing in the server, a new layer is automatically created in the server
      Overrides:
        `layer` in class `ISurface`

    - #### attr

          public ICylinder attr(IAttribute at)

      Description copied from class: `IObject`
      set attributes
      Overrides:
        `attr` in class `ISurface`

    - #### hide

          public ICylinder hide()

      Overrides:
        `hide` in class `ISurface`

    - #### show

          public ICylinder show()

      Overrides:
        `show` in class `ISurface`

    - #### clr

          public ICylinder clr(IColor c)

      Description copied from class: `IObject`
      to set an object color
      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(IColor c,
                               int alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(IColor c,
                               float alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(IColor c,
                               double alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(IObject o)

      Description copied from class: `IObject`
      to set the same color with the object
      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(java.awt.Color c)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(java.awt.Color c,
                               int alpha)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(int gray)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(float fgray)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(double dgray)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(int gray,
                               int alpha)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(float fgray,
                               float falpha)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(double dgray,
                               double dalpha)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(int r,
                               int g,
                               int b)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(float fr,
                               float fg,
                               float fb)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(double dr,
                               double dg,
                               double db)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(int r,
                               int g,
                               int b,
                               int a)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(float fr,
                               float fg,
                               float fb,
                               float fa)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ICylinder clr(double dr,
                               double dg,
                               double db,
                               double da)

      Overrides:
        `clr` in class `ISurface`

    - #### hsb

          public ICylinder hsb(float h,
                               float s,
                               float b,
                               float a)

      Overrides:
        `hsb` in class `ISurface`

    - #### hsb

          public ICylinder hsb(double h,
                               double s,
                               double b,
                               double a)

      Overrides:
        `hsb` in class `ISurface`

    - #### hsb

          public ICylinder hsb(float h,
                               float s,
                               float b)

      Overrides:
        `hsb` in class `ISurface`

    - #### hsb

          public ICylinder hsb(double h,
                               double s,
                               double b)

      Overrides:
        `hsb` in class `ISurface`

    - #### setColor

          public ICylinder setColor(java.awt.Color c)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ICylinder setColor(java.awt.Color c,
                                    int alpha)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ICylinder setColor(int gray)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ICylinder setColor(float fgray)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ICylinder setColor(double dgray)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ICylinder setColor(int gray,
                                    int alpha)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ICylinder setColor(float fgray,
                                    float falpha)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ICylinder setColor(double dgray,
                                    double dalpha)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ICylinder setColor(int r,
                                    int g,
                                    int b)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ICylinder setColor(float fr,
                                    float fg,
                                    float fb)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ICylinder setColor(double dr,
                                    double dg,
                                    double db)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ICylinder setColor(int r,
                                    int g,
                                    int b,
                                    int a)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ICylinder setColor(float fr,
                                    float fg,
                                    float fb,
                                    float fa)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ICylinder setColor(double dr,
                                    double dg,
                                    double db,
                                    double da)

      Overrides:
        `setColor` in class `ISurface`

    - #### setHSBColor

          public ICylinder setHSBColor(float h,
                                       float s,
                                       float b,
                                       float a)

      Overrides:
        `setHSBColor` in class `ISurface`

    - #### setHSBColor

          public ICylinder setHSBColor(double h,
                                       double s,
                                       double b,
                                       double a)

      Overrides:
        `setHSBColor` in class `ISurface`

    - #### setHSBColor

          public ICylinder setHSBColor(float h,
                                       float s,
                                       float b)

      Overrides:
        `setHSBColor` in class `ISurface`

    - #### setHSBColor

          public ICylinder setHSBColor(double h,
                                       double s,
                                       double b)

      Overrides:
        `setHSBColor` in class `ISurface`

    - #### weight

          public ICylinder weight(double w)

      Overrides:
        `weight` in class `ISurface`

    - #### weight

          public ICylinder weight(float w)

      Overrides:
        `weight` in class `ISurface`